Package com.collibra.dgc.core.api.dto.workflow

# Class StartWorkflowInstancesRequest.Builder

Object
Builder

Enclosing class:
  `StartWorkflowInstancesRequest`

public static final class StartWorkflowInstancesRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StartWorkflowInstancesRequest.Builder`
  `addBusinessItemId(UUID businessItemId)`
  Adds one business item ID to the list of the business items.
  `StartWorkflowInstancesRequest`
  `build()`
  `StartWorkflowInstancesRequest.Builder`
  `businessItemIds(List<UUID> businessItemIds)`
  The list of IDs for the business items.
  `StartWorkflowInstancesRequest.Builder`
  `businessItemType(WorkflowBusinessItemType businessItemType)`
  The resource type of the passed in business items.
  `StartWorkflowInstancesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `StartWorkflowInstancesRequest.Builder`
  `formProperties(Map<String,String> formProperties)`
  The properties of the workflow.
  `StartWorkflowInstancesRequest.Builder`
  `guestUserId(UUID guestUserId)`
  Deprecated.
  This field will be removed without a replacement.
  `StartWorkflowInstancesRequest.Builder`
  `sendNotification(boolean sendNotification)`
  Whether notification on starting the workflows should be sent.
  `String`
  `toString()`
  `StartWorkflowInstancesRequest.Builder`
  `workflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public StartWorkflowInstancesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `StartWorkflowInstancesRequest.builder()`
    Clone method for this Builder.

  - ### addBusinessItemId

    public StartWorkflowInstancesRequest.Builder addBusinessItemId(UUID businessItemId)
    Adds one business item ID to the list of the business items.
    Parameters:
      `businessItemId` - the business item ID

  - ### workflowDefinitionId

    public StartWorkflowInstancesRequest.Builder workflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition.
    Returns:
      `this`.

  - ### businessItemIds

    public StartWorkflowInstancesRequest.Builder businessItemIds(List<UUID> businessItemIds)
    The list of IDs for the business items.
    Returns:
      `this`.

  - ### businessItemType

    public StartWorkflowInstancesRequest.Builder businessItemType(WorkflowBusinessItemType businessItemType)
    The resource type of the passed in business items.
    Returns:
      `this`.

  - ### formProperties

    public StartWorkflowInstancesRequest.Builder formProperties(Map<String,String> formProperties)
    The properties of the workflow.
    Returns:
      `this`.

  - ### guestUserId

    @Deprecated public StartWorkflowInstancesRequest.Builder guestUserId(UUID guestUserId)
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user starting the workflow.
    Returns:
      `this`.

  - ### sendNotification

    public StartWorkflowInstancesRequest.Builder sendNotification(boolean sendNotification)
    Whether notification on starting the workflows should be sent.
    Returns:
      `this`.

  - ### build

    public StartWorkflowInstancesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`